Bug Hunting Session
Bug 37498 - FILESAVE: saving as RTF destroys part of document
Summary: FILESAVE: saving as RTF destroys part of document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: Other All
: high critical
Assignee: Miklos Vajna
URL:
Whiteboard:
Keywords: dataLoss
Depends on:
Blocks:
 
Reported: 2011-05-23 05:49 UTC by Jacob Boerema
Modified: 2015-12-18 09:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Source document (11.18 KB, application/vnd.oasis.opendocument.text)
2011-05-23 05:49 UTC, Jacob Boerema
Details
Resulting rtf document (7.82 KB, application/rtf)
2011-05-23 05:50 UTC, Jacob Boerema
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jacob Boerema 2011-05-23 05:49:53 UTC
Created attachment 47039 [details]
Source document

Saving certain documents as RTF and then opening them again shows part of the document missing. This is possibly related to the local link to a bookmark within the same document (attached are source and result documents).

Inspecting the RTF file shows the data still there so possibly it's a mismatched parenthesis somewhere.
Comment 1 Jacob Boerema 2011-05-23 05:50:53 UTC
Created attachment 47040 [details]
Resulting rtf document
Comment 2 Jean-Baptiste Faure 2011-12-17 16:24:09 UTC
Problem still there with LO 3.5.0 beta-1 under Ubuntu 10.04 x86_64.

Miklos: it seems this bug could result in data loss when the user save particular document in RTF format. Feel free to reassign if you can't handle this bug.

Best regards. JBF
Comment 3 Miklos Vajna 2011-12-17 17:44:42 UTC
jgboerema,

Thanks for the report, this bug was there since 2010-09-17. ;) It was indeed a mismatched parenthesis.

Fixed in master:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6ab183533ef543ea96e15fcc5155321298c758a8

Also cherry-picked to libreoffice-3-5:

http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-5&id=ddc7af3e7963d1a625ef939ad0cd9830eb3ddd99
Comment 4 Jean-Baptiste Faure 2011-12-18 02:49:05 UTC
Big thanks Miklos!

JBF
Comment 5 Robinson Tryon (qubit) 2015-12-18 09:51:43 UTC
Migrating Whiteboard tags to Keywords: (data_loss -> dataLoss)
[NinjaEdit]